AbstractScalaCompile (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.language.scala.tasks

## [Java] Class AbstractScalaCompile

- org.gradle.language.scala.tasks.AbstractScalaCompile

- An abstract Scala compile task sharing common functionality for compiling scala.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static Logger` | `LOGGER` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SourceTask` | `TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected AbstractScalaCompile (BaseScalaCompileOptions scalaCompileOptions)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `compile()`
    `protected void` | `configureIncrementalCompilation(org.gradle.api.internal.tasks.scala.ScalaCompileSpec spec)`
    `protected org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec` | `createSpec()`
    `protected HashMap<File, File>` | `filterForClasspath(Map<File, File> analysisMap, Iterable<File> classpath)`
    `protected org.gradle.language.base.internal.compile.Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec>` | `getCompiler(org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec spec)`
    `CompileOptions` | `getOptions()` Returns the Java compilation options.
    `protected Map<File, File>` | `getOrCreateGlobalAnalysisMap()`
    `BaseScalaCompileOptions` | `getScalaCompileOptions()` Returns the Scala compilation options.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCompile` | `compile, getClasspath, getDestinationDir, getSourceCompatibility, getTargetCompatibility, setClasspath, setDestinationDir, setSourceCompatibility, setTargetCompatibility`
    `class SourceTask` | `source, getSource, getIncludes, getExcludes, setSource, include, include, include, include, include, include, include, include, setIncludes, setIncludes, exclude, exclude, exclude, exclude, exclude, exclude, exclude, exclude, setExcludes, setExcludes, conventionMapping, conventionMapping, getConventionMapping, setProperty, toString, compareTo, compareTo, getName, getActions, getState, getState, setName, getPath, getExtensions, getLogger, execute, configure, configure, getDescription, leftShift, isEnabled, property, setEnabled, getOutputs, getOutputs, getShouldRunAfter, getProject, getTaskDependencies, getTaskDependencies, setActions, setOnlyIf, setOnlyIf, setDidWork, getDidWork, doFirst, doFirst, doLast, doLast, deleteAllActions, getEnabled, getAnt, getLogging, getLogging, hasProperty, getConvention, setDescription, getGroup, setGroup, dependsOnTaskDidWork, getInputs, getTemporaryDir, mustRunAfter, setMustRunAfter, getMustRunAfter, finalizedBy, setFinalizedBy, getFinalizedBy, shouldRunAfter, setShouldRunAfter, getDependsOn, setDependsOn, dependsOn, onlyIf, onlyIf, getStandardOutputCapture, getAsDynamicObject, setProject, prependParallelSafeAction, injectIntoNewInstance, getTaskActions, getOnlyIf, getImpliesSubProjects, setImpliesSubProjects, getExecuter, setExecuter, getTemporaryDirFactory, addValidator, getValidators, appendParallelSafeAction, isHasCustomActions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected static final Logger LOGGER

  - ### Constructor Detail

    - #### protected AbstractScalaCompile(BaseScalaCompileOptions scalaCompileOptions)

  - ### Method Detail

    - #### @TaskAction protected void compile()

    - #### protected void configureIncrementalCompilation(org.gradle.api.internal.tasks.scala.ScalaCompileSpec spec)

    - #### protected org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec createSpec()

    - #### protected HashMap<File, File> filterForClasspath(Map<File, File> analysisMap, Iterable<File> classpath)

    - #### protected org.gradle.language.base.internal.compile.Compiler<org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec> getCompiler(org.gradle.api.internal.tasks.scala.ScalaJavaJointCompileSpec spec)

    - #### @Nested public CompileOptions getOptions()

      Returns the Java compilation options.

    - #### @SuppressWarnings("unchecked") protected Map<File, File> getOrCreateGlobalAnalysisMap()

    - #### @Nested public BaseScalaCompileOptions getScalaCompileOptions()

      Returns the Scala compilation options.